Monday, November 12, 2012

New BitNami PHP 5.4 xAMP stacks

We are happy to announce that all of the BitNami PHP-based development stacks have been updated to include PHP 5.4, Apache 2.4 and PostgreSQL 9.2 support. 

You can download LAMP stack for Linux, MAMP stack for OS X and WAMP stack for Windows to develop PHP-based applications on your Desktop, using your favorite Operating System. There are also virtual machines available for download and cloud images to deploy them on Amazon EC2 directly. They ship the following main components:
  • PHP 5.4.8
  • Apache 2.4.3
  • MySQL 5.5.21
  • phpMyAdmin 3.5.3
  • Optional frameworks:
    • ZendFramework 2.0.3
    • CodeIgniter 2.1.3
    • Symfony 2.1.3
    • CakePHP 2.2.3
    • Smarty 3.1.12
    • Laravel 3.2.11


We have also upgraded the PostgreSQL based stacks to the the latest stable version, PostgreSQL 9.2.0. Because the LAPP, MAPP and WAPP stacks are available as native installers, virtual machine images and AMIs, you can develop on a local machine natively or in a virtual environment and then deploy the application to Amazon EC2 for testing and production.

BitNami has a popular module-based system. You can easily install additional BitNami applications on top of the LAMP, MAMP and WAMP stacks. Check our documentation to know how to add WordPress, Joomla!, Drupal, SugarCRM and other popular apps on top of these stacks.

BitNami PHP-based modules for LAMP, MAMP and WAMP stacks

1 comment: